Skip to content

Notify The Order Source

This endpoint notifies an order source about shipped items.

API Endpoint

POST /v-beta/sales_orders/:id/notify_shipped

Examples

Full Sales Order Notification

POST /v-beta/sales_orders/bf2a2717-dd70-5428-a688-98bdc4bcb7e7/notify_shipped HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
  "tracking_number": "9374869901600064074368",
  "carrier_code": "stamps_com"
}

Partial Sales Order Notification

POST /v-beta/sales_orders/bf2a2717-dd70-5428-a688-98bdc4bcb7e7/notify_shipped HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
  "tracking_number": "9374869901600064074368",
  "carrier_code": "stamps_com",
  "sales_order_items": [
    {
      "sales_order_item_id": "0ca0a452-2f7b-5a50-8b28-4e0b8d1fa742",
      "quantity": 1
    }
  ]
}
Refresh your order source

After updating your sales order with tracking information, don't forget to refresh the order source to see the updated fulfillment status!